1. Recurring
Sipay API Documentation
  • Overview
    • Getting Started
    • Test Cards
  • Authentication
    • Token Generation
      POST
  • Installments & Commission
    • Installment Details
      POST
    • Merchant Installments
      POST
    • Commission
      POST
  • HASH
    • Hash Creation
    • Hash Validation
  • Non-Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure Pre-Authorization Payment
      POST
    • Confirm Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure Pre-Authorization Payment
      POST
    • Complete Payment
      POST
    • Confirm Payment
      POST
    • 3D Secure Agriculture Payment
      POST
  • Non-Secure and 3D Payment with Sipay
    • Non-Secure and 3D Secure Payment with Sipay
  • Check Status
    • Check Status
  • Payment with Saved Card
    • Card Registration
    • 3D Secure Pay by Card Token
    • Non-Secure Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
  • Recurring
    • Recurring Query Search
      POST
    • Recurring Plan Process
      POST
    • Recurring Plan Update
      POST
  • Refund
    • Refund
  • Cashout
    • Cashout to Bank
  • Webhook
    • Webhook
  • Status Codes
    • Status Codes
  1. Recurring

Recurring Query Search

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/recurringPlan/query
This endpoint is used to check recurring payments for which a payment request has been previously submitted. The response contains the details of the related recurring payment.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://provisioning.sipay.com.tr/ccpayment/api/recurringPlan/query' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "merchant_key": "$2y$10$snLdZ5xKfpmP561tpNlfWurcNl8r.r7Jg.w8Fi88PGFiGPQDOlfXO",
  "plan_code": "162668699215UOjS",
  "recurring_number": 2,
  "app_lang": "en"
}'
Response Response Example
200 - Success
{
    "status_code": 100,
    "message": "Recurring created successfully",
    "recurring_id": 10706,
    "plan_code": "1769764375aEeTmV",
    "currency": "TRY",
    "currency_symbol": "₺",
    "first_amount": 5,
    "recurring_amount": 100,
    "total_amount": 105,
    "payment_number": 2,
    "payment_interval": 2,
    "payment_cycle": "YEAR",
    "first_order_id": "VP17697642612333735",
    "merchant_id": 18309,
    "card_no": "450803****4509",
    "next_action_date": "2028-01-30",
    "recurring_status": "Active",
    "transaction_date": "2026-01-30 12:12:56",
    "transactionHistories": [
        {
            "id": 25272,
            "sale_recurring_id": 10706,
            "sale_id": 4445713,
            "merchant_id": 18309,
            "sale_recurring_payment_schedule_id": 73774,
            "amount": 5,
            "action_date": "2026-01-30 12:12:56",
            "status": "Success",
            "recurring_number": 1,
            "attempts": 1,
            "remarks": null
        }
    ]
}
Modified at 2026-04-16 15:31:54
Previous
Recurring
Next
Recurring Plan Process
Built with